#ifndef __Sprite__
#define __Sprite__

#ifndef CORE_DLL 
    #ifdef CORE_BUILD
	    #define CORE_DLL __declspec(dllexport)
    #else
	    #define CORE_DLL __declspec(dllimport)
        #pragma comment(lib, "Core.lib")
    #endif
#endif

#include "Transform.h"
#include "Texture.h"


class CORE_DLL Sprite : public Transform {
public:
    Sprite();
    virtual ~Sprite();

    Texture** ppGetTexture();
    Texture* getTexture();
    void setTexture(Texture* texture);

protected:
    Texture* _texture;
};

#endif